1. Cash In
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
        POST
      • Init Transaction
        POST
      • Transaction Status
        GET
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Raíz
        • Create a payment button
    • Platform Status
    • Subscription Transactions
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Get recurring charge Info
      • Create a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Add a temporary charge or discount
      • Make an One-click payment
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. Cash In

Transaction Status

GET
/cash/v1/status/{ticketNumber}
Get the status of a transaction created at the Init Transaction endpoint.
WARNING
Got a suggestion on this documentation? Contact Us.

Request

Path Params

Header Params

Responses

🟢200
application/json
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-uat.kushkipagos.com/cash/v1/status/' \
--header 'Private-Merchant-Id;'
Response Response Example
200 - Example 1
{
    "ticketNumber": "string",
    "userIp": "string",
    "currency": "string",
    "totalAmount": 0,
    "lastName": "string",
    "status": "initializedTransaction",
    "created": 0,
    "merchantName": "string",
    "name": "string",
    "token": "string",
    "identification": "string",
    "processorPaymentPoint": "string",
    "amount": {
        "extraTaxes": {
            "iac": 0,
            "tasaAeroportuaria": 0,
            "agenciaDeViaje": 0
        },
        "subtotalIva0": 0,
        "iva": 0,
        "subtotalIva": 0
    },
    "processorName": "string",
    "merchantId": "string",
    "pins": [
        "string"
    ],
    "transactionReference": "string",
    "processorType": "string",
    "documentType": "RUT",
    "expiration": 0,
    "email": "string",
    "country": "Peru",
    "completedAt": 0,
    "processorAuthorizationNumber": "string",
    "credentialMetadata": "string",
    "transactionId": "string",
    "description": "string",
    "processorId": "string",
    "publicCredentialId": "string",
    "credentialId": "string",
    "credentialInfo": {
        "alias": "string",
        "credentialId": "string",
        "publicCredentialId": "string"
    },
    "userAgent": "string",
    "credentialAlias": "string",
    "integrationChannel": "string",
    "pin": "string"
}
Modified at 2026-04-16 17:10:17
Previous
Init Transaction
Next
Create a Smartlink
Built with